## -*- coding: utf-8 -*-

<fieldset class="${not c.show_wiedervorlage and 'inactive' or ''}">
  <legend>${_('Reopening after successful reintegration')}<a target="_blank" href="${h.url(controller='annotations', action='help', id='wiederaufnahme')}"><img alt="${_('help icon')}" src="${h.url('/images/icons/form_help.png')}" border="0"></a></legend>
  % if c.show_wiedervorlage:
    <strong>${_('Reopening of the youth case for 3 month')}</strong>
    <table class="${c.num_wiederaufnahme >= 1 and 'inactive' or ''}">
      <tr>
        <td class="label">
          <label for="cm_wiederauf_genehm_1">
            Status
          </label>
        </td>
        <td class="field">
          <select name="cm_wiederauf_genehm_1" ${c.num_wiederaufnahme >= 1 and 'disabled' or ''}>
              <option value="1">${_('Reopening accepted')}</option>
              <option value="0">${_('Reopening rejected')}</option>
          </select>
        </td>
        <td><form:error name="cm_wiederauf_genehm_1"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_genehm_datum_1">
            ${_('Accepted since')}
          </label>
        </td>
        <td class="field">
          <input type="hidden" name="datum_cm_ende" value="">
          % if c.num_wiederaufnahme >= 1:
            <input type="text" name="cm_wiederauf_genehm_datum_1" id="cm_wiederauf_genehm_datum_1" value="" onchange="setModification();" readonly="readonly" class="disabled">
          % else:
            <input type="text" name="cm_wiederauf_genehm_datum_1" id="cm_wiederauf_genehm_datum_1" value="" onchange="setModification();">
          % endif
        </td>
        <td><form:error name="cm_wiederauf_genehm_datum_1"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_datum_bis_1">
            ${_('Accepted until')}
          </label>
        </td>
        <td class="field">
          % if c.num_wiederaufnahme >= 1:
            <input type="text" name="cm_wiederauf_datum_bis_1" id="cm_wiederauf_datum_bis_1" value="" onchange="setModification();" readonly="readonly" class="disabled">
          % else:
            <input type="text" name="cm_wiederauf_datum_bis_1" id="cm_wiederauf_datum_bis_1" value="" onchange="setModification();">
          % endif
        </td>
        <td><form:error name="cm_wiederauf_datum_bis_1"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="anmerkungen_1">
            ${_('Reason of the reopening')} 
          </label>
        </td>
        <td class="field">
          % if c.num_wiederaufnahme >= 1:
            <textarea class="" name="cm2c_t" id="anmerkungen_1" rows="3" cols="80"  onchange="setModification();"></textarea>
          % else:
            <textarea class="" name="cm2c_t" id="anmerkungen_1" rows="3" cols="80"  onchange="setModification();"></textarea>
          % endif
        </td>
        <td><form:error name="cm2c_t"/></td>
      </tr>
    </table>
    % if c.num_wiederaufnahme >= 1:
    <strong>${_('Extension of the reopening of the youth case for 3 additional months')}</strong>
    <table>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_genehm_2">
            Status
          </label>
        </td>
        <td class="field">
          <select name="cm_wiederauf_genehm_2" id="cm_wiederauf_genehm_2">
              <option value="1">${_('Reopening accepted')}</option>
              <option value="0">${_('Reopening rejected')}</option>
          </select>
        </td>
        <td></td>
      </tr>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_datum_bis_2">
            ${_('Accepted until')}
          </label>
        </td>
        <td class="field">
          <input type="text" name="cm_wiederauf_datum_bis_2" id="cm_wiederauf_datum_bis_2" value="" onchange="setModification();" readonly="readonly" class="disabled">
        </td>
        <td></td>
      </tr>
      <tr>
        <td class="label">
          <label for="anmerkungen_2">
            ${_('Reason of the reopening')}
          </label>
        </td>
        <td class="field">
          <textarea class="" name="cm2c_t2" id="anmerkungen_2" rows="3" cols="80"  onchange="setModification();" ></textarea>
        </td>
        <td><form:error name="cm2c_t2"/></td>
      </tr>
    </table>
    %endif
    <input type="submit" name="wiederaufnahme" value="Ausführen" ${h.hasRole(['admin']) and 'disabled' or ''}>
  %else:
    % if c.num_verlaengerung > 0:
      ${_('A reopening is not possible, because an extension is already done.')}
    % elif c.wiederaufn_abg:
      ${_('A reopening is not possible, because of a rejected reopening.')}
    % elif c.num_wiederaufnahme == 1 and c.phase in (3,4,5):
      ${_('A reopening is not possible, because the case has been closed after the first reopening.')}
    % elif c.num_wiederaufnahme > 1:
      ${_('The maximal number of reopenings was reached!')}
    % elif not erfolgreiche_reintegration:
      ${_('A reopening is not possible, because the case was not closed with a successuful reintegration.')}
    % elif not c.is_anonymizable:
      ${_('A reopening is not possible, because the case is not anonymised cause of missing fields.')}
    % else:
      ${_('A reopening is not possible at the moment.')} 
    % endif
  %endif
</fieldset>
