# -*- coding: utf-8 -*-

import logging

from pylons import tmpl_context as c, url
from pylons.controllers.util import redirect
from mpulsweb.lib.translation import _, ungettext

from mpulsweb.lib.helpers import url
from mpulsweb.lib.base import BaseController, session, render
from mpulsweb.model.user import UserObject


log = logging.getLogger(__name__)


class NewsController(BaseController):

    def hide(self, id, confirmed=0):
        '''
        Will mark the news as read for the current user. The news will then not
        be displayed on the blackboard
        '''
        id = self._checkInt(id)
        confirmed = self._checkBool(confirmed)
        session_user = session['USER_AUTHORIZED']
        if confirmed == 1:
            user = UserObject(session_user.id)
            user.setNewsAsRead(id)
            redirect(url('/'))
        else:
            c.dialog_title = _(u"Mark message as read")
            c.dialog_text = _(u"""Do you really want to mark the message as read?
It will permanently disappear from the overview.""")
            c.url_yes = url(controller='news', action='hide', id=id,
                                confirmed=1)
            c.url_no = url("/")
            return render('/news/dialogs/confirm_mark_news_as_read.mako')

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
