import os
import logging
import formencode

from pylons import request, response, session, tmpl_context as c, url
from pylons.controllers.util import abort, redirect

from mpulsweb.lib.base import BaseController, render

log = logging.getLogger(__name__)

class StatementController(BaseController):

    def index(self):
        '''Returns a list of available statements'''
        url = os.path.join('/statements', 'list.mako') 
        form = render(url)
        return formencode.htmlfill.render(form, defaults={},
                                          auto_insert_errors=False,
                                          errors={})

    def show(self, id):
        '''Returns renderer Version of a statement. Id ist the name of the
        template located under /template/statements'''
        url = os.path.join('/statements', '%s.mako' % id) 
        form = render(url)
        return formencode.htmlfill.render(form, defaults={},
                                          auto_insert_errors=False,
                                          errors={})
