## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>

<h1>${_('Case documents overview')}</h1>
% if h.hasRole(['admin']):
 <!-- <p>${_('List all case documents of the organisation or the user')}</p>-->
% endif

% if h.hasRole(['cm']):
 <!-- <p>${_('List all cases of this user')}</p>-->
%endif

<%include file="/casemanagement/search.mako" />

${ungettext('%s case was found.', '%s cases where found.', c.count_all) % c.count_all}

<div class="waska_form">
  <form action="${h.url(controller='case_bundle', action='bundleAction')}"
        method="POST">
  <%include file="./caselist.mako" />
  % if g.mpuls_config.is_enabled('case-module', 'casebundle'):
  <div class="waska_form_element">
    <input type="checkbox" name="all_cases" id="all_cases" value="1"><label for="all_cases">
    ${ungettext('Select the %s found case.', 'Select all %s found cases', c.count_all) % c.count_all}</label>
    <input type="hidden" name="id_field" value="">
    <input type="hidden" name="all_ids" value="">
  </div>
  <div class="waska_form_element w30">
    <select name="action">
      <option value="no_action">${_('No action')}</option>
      % if h.hasRole(['admin']):
        <option value="delete">${_('Delete')}</option>
        % if g.mpuls_config.is_enabled('case-module', 'anonymize'):
          <option value="anonymize">${_('Anonymize')}</option>
        % endif
        <option value="restore">${_('Restore')}</option>
        % if g.mpuls_config.is_enabled('case-module', 'organisation'):
          <option value="transfer">${_('Transfer editing')}</option>
        % endif
      % endif
      % if h.hasRole(['cm']):
        <option value="markdelete">${_('Delete')}</option>
        % if g.mpuls_config.is_enabled('case-module', 'anonymize'):
          <option value="markanonymize">${_('Mark anonymize')}</option>
        % endif
      % endif
      % if h.hasRole(['admin', 'cm']):
        % if g.mpuls_config.is_enabled('case-module', 'organisation'):
          <option value="standin">${_('Set standin')}</option>
        % endif
      % endif
      % if g.mpuls_config.is_enabled('case-module', 'exportXLS'):
        <option value="exportXLS">${_('Export as XLS')}</option>
      % endif
      % if g.mpuls_config.is_enabled('case-module', 'exportXML'):
        <option value="exportXML">${_('Export as XML')}</option>
      % endif
      % if g.mpuls_config.is_enabled('case-module', 'exportCSV'):
        <option value="exportCSV">${_('Export as CSV')}</option>
      % endif
      % if g.mpuls_config.is_enabled('case-module', 'formletter'):
        % for l in g.mpuls_config.get('case', 'formletter'):
          <option value="formletter:${l.get('id')}">${l.get('name')}</option>
        % endfor
      % endif
      % if g.mpuls_config.is_enabled('module', 'evaluation') \
        and len(g.mpuls_config.get('evaluations', 'enabled')) > 0 \
        and not c.hide_evaluation:
        <option value="evaluate">${_('Evaluate')}</option>
      % endif
      ${self.render_additional_exports()}
    </select>
  </div>
  <div class="waska_form_element w50">
    <input type="submit" value="${_('submit action')}">
  </div>
  % endif
  </form>
  <br class="newline">
</div>

