## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%! import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url(controller='settings')}">${_('Administration')}</a>
  </li>
  <li>
    <a href="${h.url(controller='settings', action='show')}">${_('Show settings')}</a>
  </li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('adm_header_showsettings')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
	<li>
          <a href="${h.url(controller='settings', action='edit')}"> 
            ${_('Edit settings')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>

<p>${_('Here you can see institution wide settings.')}</p>
<table>
  <tr>
    <td class="label table_header_v table_width_name">
      ${_('Name of the institution')}
    </td>
    <td class="table_row_v table_description">${c.agency.getName()| F.NA}
    </td>
  </tr>
  <tr>
    <td class="label table_width_name">
      ${_('Address of the institution')}
    </td>
    <td class="table_description">${c.agency.getAddress()| F.NA}
    </td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('Formular number of the institution')}</td>
    <td class="table_row_v_2 table_header_v">${c.agency.getFKZ()| F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('Automatic review after days')}</td>
    <td class="">${c.agency.getMaxSavetime()| F.NA}</td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('additional conditions for reminders')}</td>
    <td class="table_row_v">${h.literal(c.agency.getReminderConditionDesc())}</td>
  </tr>
  <tr>
    <td class="label table_header">${_('Assign case document')}</td>
    <td class="table_row_v_2">
      % if c.agency.isAnonTransfer():
        ${_('Yes')}
      % else:
        ${_('No')}
      % endif
    </td>
  </tr>
  % if g.mpuls_config.is_enabled('job_percentage', 'enabled'):
  <tr>
    <td class="label table_header_v table_width_name">
      ${_('Job percentage')}
    </td>
    <td class="table_row_v">${h.format_number(float(c.agency.getJobPercentage()))}
    </td>
  </tr>
  % endif
</table>

% if g.mpuls_config.is_enabled('case-module', 'meta-server'):
  <fieldset><legend>${_('Meta connection')}</legend>
  % if c.agency.getMetaUserName() and c.agency.getMetaUserPassword():
    <p class="ok">${_('Meta connection is configured')}</p>
    <table>
    <tr>
      <td class="label table_header_v">${_('Transfer cases to meta server')}</td>
      <td class="table_header_v">
        % if c.agency.isMetaTransfer():
          ${_('Yes')}
        % else:
          ${_('No')}
        % endif
      </td>
    </tr>
    <tr>
      <td class="label table_width_name">${_('Place of the model')}</td>
      <td class="table_description">${g.mpuls_dblist.get_field(h.getDbName(), 'model_place')| F.NA}</td>
    </tr>
    <tr>
      <td class="label table_header_v">${_('Measure name')}</td>
      <td class="table_row_v table_header_v">${g.mpuls_dblist.get_field(h.getDbName(), 'measure_name')| F.NA}</td>
    </tr>
    </table>
  % else:
    <p class="error">${_('Meta connection is not configured. Please contact your administration.')}</p>
  % endif
  </fieldset>
% endif
