#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright 2011 Intevation GmbH, Germany, <info@intevation.de>
# Authors:
# Torsten Irländer <torsten.irlaender@intevation.de>
import sys 
from optparse import OptionParser

"""
Will generate UPDATE SQL Statements to UPDATE the fkz_table on the evaluation
server. The update will set the nme of the agency.  This scripts need a CSV
file in the following format: fkz\\tname.
"""

SQL = """UPDATE fkz_tbl SET name = '%(name)s' WHERE fkz = '%(fkz)s';"""

def parse_file(filename):
    out = []
    fhandle = open(filename, 'r')
    for line in fhandle.readlines():
        fkz, name = line.split('\t')
        name = name.replace('"', '').strip()
        fkz = fkz.strip()
        if fkz and name and (fkz != name):
            out.append(SQL % {'name': name, 'fkz': fkz})
    fhandle.close()
    return "\n".join(out)

def main():
    '''Main function'''
    parser = OptionParser(usage="usage: %prog csv")
    #parser.add_option("--dummy, -d", 
    #                  default=None, 
    #                  help="This is a dummy option[default: %default]")
    options, args = parser.parse_args()
    csv_file = args[0]
    print parse_file(csv_file)
    return sys.exit(1)

if __name__ == '__main__':
    main()
