<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    >

    <xsl:output method="xml" encoding="UTF-8" />
    
    <xsl:template match="cases">
        <cases formed-type="http://mpuls.intevation.de/formed/wasko-case/2010-10-26/14:20:00" version="5">
            <xsl:apply-templates/>
        </cases>
    </xsl:template>

    <xsl:template match="case">
        <case>
            <master>
                <xsl:apply-templates select="master"/>
            </master>
                <xsl:apply-templates select="tagebuch"/>
        </case>
    </xsl:template>


    <xsl:template match="case/master">
      <xsl:apply-templates/>
        <!--<xsl:call-template name="keep"/>-->
        <xsl:call-template name="rg_fehlzeiten"/>
        <xsl:call-template name="rg_probleme"/>
        <xsl:call-template name="rg_bezugspersonen"/>
        <xsl:call-template name="rg_hilfsmassnahmen"/>
        <xsl:call-template name="rg_vereinbarungen"/>
        <xsl:call-template name="rg_elternarbeit"/>
        <xsl:call-template name="rg_ansprechpartner"/>
        <xsl:call-template name="rg_fehlzeiten"/>
        <!--  -->
    </xsl:template>
    
    <!-- SQL aus DB-Updateskripte -->



    <!-- ****** RG_FEHLZEITEN ****** -->

    <!--
      IF r.fehlm_1 != '-1'
         OR r.fehlj_1 != '-1'
         OR r.fehltg_1 IS NOT NULL
         OR r.fehlutg_1 IS NOT NULL
         OR r.fehlst_1 IS NOT NULL
         OR r.fehlfust_1 IS NOT NULL THEN

         uuid = generate_uuidgen();
         rgid = create_rg_fehlzeiten_tbl(r.id, uuid);

         UPDATE rg_fehlzeiten_tbl set
              fehlzeiten_monat><xsl:value-of select="fehlm_1,
              fehlzeiten_jahr><xsl:value-of select="fehlj_1,
              fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_1,
              fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_1,
              fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_1,
              fehlzeiten_unentschuldigt_stunden><xsl:value-of select="fehlfust_1
         WHERE id><xsl:value-of select="id;    
      END IF;
    -->
    <xsl:template name="rg_fehlzeiten">
        <xsl:variable name="fehlm_1" select="./fehlm_1/text()"/>
        <xsl:variable name="fehlj_1" select="./fehlj_1/text()"/>
        <xsl:variable name="fehltg_1" select="./fehltg_1/text()"/>
        <xsl:variable name="fehlutg_1" select="./fehlutg_1/text()"/>
        <xsl:variable name="fehlst_1" select="./fehlst_1/text()"/>
        <xsl:variable name="fehlfust_1" select="./fehlfust_1/text()"/>
        <xsl:if test="$fehlm_1 or $fehlj_1 or $fehltg_1 or $fehlutg_1 or $fehlst_1 or $fehlfust_1">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_1">
            <fehlzeiten_monat><xsl:value-of select="fehlm_1"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_1">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_1"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_1">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_1"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_1">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_1"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_1">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_1"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_1">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_1"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_2" select="./fehlm_2/text()"/>
        <xsl:variable name="fehlj_2" select="./fehlj_2/text()"/>
        <xsl:variable name="fehltg_2" select="./fehltg_2/text()"/>
        <xsl:variable name="fehlutg_2" select="./fehlutg_2/text()"/>
        <xsl:variable name="fehlst_2" select="./fehlst_2/text()"/>
        <xsl:variable name="fehlfust_2" select="./fehlfust_2/text()"/>
        <xsl:if test="$fehlm_2 or $fehlj_2 or $fehltg_2 or $fehlutg_2 or $fehlst_2 or $fehlfust_2">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_2">
            <fehlzeiten_monat><xsl:value-of select="fehlm_2"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_2">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_2"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_2">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_2"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_2">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_2"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_2">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_2"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_2">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_2"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_3" select="./fehlm_3/text()"/>
        <xsl:variable name="fehlj_3" select="./fehlj_3/text()"/>
        <xsl:variable name="fehltg_3" select="./fehltg_3/text()"/>
        <xsl:variable name="fehlutg_3" select="./fehlutg_3/text()"/>
        <xsl:variable name="fehlst_3" select="./fehlst_3/text()"/>
        <xsl:variable name="fehlfust_3" select="./fehlfust_3/text()"/>
        <xsl:if test="$fehlm_3 or $fehlj_3 or $fehltg_3 or $fehlutg_3 or $fehlst_3 or $fehlfust_3">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_3">
            <fehlzeiten_monat><xsl:value-of select="fehlm_3"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_3">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_3"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_3">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_3"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_3">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_3"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_3">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_3"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_3">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_3"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_4" select="./fehlm_4/text()"/>
        <xsl:variable name="fehlj_4" select="./fehlj_4/text()"/>
        <xsl:variable name="fehltg_4" select="./fehltg_4/text()"/>
        <xsl:variable name="fehlutg_4" select="./fehlutg_4/text()"/>
        <xsl:variable name="fehlst_4" select="./fehlst_4/text()"/>
        <xsl:variable name="fehlfust_4" select="./fehlfust_4/text()"/>
        <xsl:if test="$fehlm_4 or $fehlj_4 or $fehltg_4 or $fehlutg_4 or $fehlst_4 or $fehlfust_4">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_4">
            <fehlzeiten_monat><xsl:value-of select="fehlm_4"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_4">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_4"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_4">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_4"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_4">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_4"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_4">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_4"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_4">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_4"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_5" select="./fehlm_5/text()"/>
        <xsl:variable name="fehlj_5" select="./fehlj_5/text()"/>
        <xsl:variable name="fehltg_5" select="./fehltg_5/text()"/>
        <xsl:variable name="fehlutg_5" select="./fehlutg_5/text()"/>
        <xsl:variable name="fehlst_5" select="./fehlst_5/text()"/>
        <xsl:variable name="fehlfust_5" select="./fehlfust_5/text()"/>
        <xsl:if test="$fehlm_5 or $fehlj_5 or $fehltg_5 or $fehlutg_5 or $fehlst_5 or $fehlfust_5">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_5">
            <fehlzeiten_monat><xsl:value-of select="fehlm_5"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_5">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_5"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_5">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_5"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_5">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_5"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_5">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_5"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_5">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_5"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_6" select="./fehlm_6/text()"/>
        <xsl:variable name="fehlj_6" select="./fehlj_6/text()"/>
        <xsl:variable name="fehltg_6" select="./fehltg_6/text()"/>
        <xsl:variable name="fehlutg_6" select="./fehlutg_6/text()"/>
        <xsl:variable name="fehlst_6" select="./fehlst_6/text()"/>
        <xsl:variable name="fehlfust_6" select="./fehlfust_6/text()"/>
        <xsl:if test="$fehlm_6 or $fehlj_6 or $fehltg_6 or $fehlutg_6 or $fehlst_6 or $fehlfust_6">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_6">
            <fehlzeiten_monat><xsl:value-of select="fehlm_6"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_6">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_6"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_6">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_6"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_6">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_6"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_6">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_6"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_6">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_6"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_7" select="./fehlm_7/text()"/>
        <xsl:variable name="fehlj_7" select="./fehlj_7/text()"/>
        <xsl:variable name="fehltg_7" select="./fehltg_7/text()"/>
        <xsl:variable name="fehlutg_7" select="./fehlutg_7/text()"/>
        <xsl:variable name="fehlst_7" select="./fehlst_7/text()"/>
        <xsl:variable name="fehlfust_7" select="./fehlfust_7/text()"/>
        <xsl:if test="$fehlm_7 or $fehlj_7 or $fehltg_7 or $fehlutg_7 or $fehlst_7 or $fehlfust_7">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_7">
            <fehlzeiten_monat><xsl:value-of select="fehlm_7"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_7">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_7"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_7">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_7"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_7">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_7"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_7">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_7"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_7">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_7"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_8" select="./fehlm_8/text()"/>
        <xsl:variable name="fehlj_8" select="./fehlj_8/text()"/>
        <xsl:variable name="fehltg_8" select="./fehltg_8/text()"/>
        <xsl:variable name="fehlutg_8" select="./fehlutg_8/text()"/>
        <xsl:variable name="fehlst_8" select="./fehlst_8/text()"/>
        <xsl:variable name="fehlfust_8" select="./fehlfust_8/text()"/>
        <xsl:if test="$fehlm_8 or $fehlj_8 or $fehltg_8 or $fehlutg_8 or $fehlst_8 or $fehlfust_8">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_8">
            <fehlzeiten_monat><xsl:value-of select="fehlm_8"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_8">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_8"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_8">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_8"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_8">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_8"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_8">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_8"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_8">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_8"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_9" select="./fehlm_9/text()"/>
        <xsl:variable name="fehlj_9" select="./fehlj_9/text()"/>
        <xsl:variable name="fehltg_9" select="./fehltg_9/text()"/>
        <xsl:variable name="fehlutg_9" select="./fehlutg_9/text()"/>
        <xsl:variable name="fehlst_9" select="./fehlst_9/text()"/>
        <xsl:variable name="fehlfust_9" select="./fehlfust_9/text()"/>
        <xsl:if test="$fehlm_9 or $fehlj_9 or $fehltg_9 or $fehlutg_9 or $fehlst_9 or $fehlfust_9">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_9">
            <fehlzeiten_monat><xsl:value-of select="fehlm_9"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_9">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_9"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_9">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_9"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_9">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_9"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_9">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_9"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_9">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_9"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_10" select="./fehlm_10/text()"/>
        <xsl:variable name="fehlj_10" select="./fehlj_10/text()"/>
        <xsl:variable name="fehltg_10" select="./fehltg_10/text()"/>
        <xsl:variable name="fehlutg_10" select="./fehlutg_10/text()"/>
        <xsl:variable name="fehlst_10" select="./fehlst_10/text()"/>
        <xsl:variable name="fehlfust_10" select="./fehlfust_10/text()"/>
        <xsl:if test="$fehlm_10 or $fehlj_10 or $fehltg_10 or $fehlutg_10 or $fehlst_10 or $fehlfust_10">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_10">
            <fehlzeiten_monat><xsl:value-of select="fehlm_10"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_10">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_10"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_10">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_10"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_10">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_10"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_10">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_10"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_10">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_10"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_11" select="./fehlm_11/text()"/>
        <xsl:variable name="fehlj_11" select="./fehlj_11/text()"/>
        <xsl:variable name="fehltg_11" select="./fehltg_11/text()"/>
        <xsl:variable name="fehlutg_11" select="./fehlutg_11/text()"/>
        <xsl:variable name="fehlst_11" select="./fehlst_11/text()"/>
        <xsl:variable name="fehlfust_11" select="./fehlfust_11/text()"/>
        <xsl:if test="$fehlm_11 or $fehlj_11 or $fehltg_11 or $fehlutg_11 or $fehlst_11 or $fehlfust_11">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_11">
            <fehlzeiten_monat><xsl:value-of select="fehlm_11"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_11">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_11"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_11">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_11"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_11">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_11"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_11">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_11"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_11">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_11"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_12" select="./fehlm_12/text()"/>
        <xsl:variable name="fehlj_12" select="./fehlj_12/text()"/>
        <xsl:variable name="fehltg_12" select="./fehltg_12/text()"/>
        <xsl:variable name="fehlutg_12" select="./fehlutg_12/text()"/>
        <xsl:variable name="fehlst_12" select="./fehlst_12/text()"/>
        <xsl:variable name="fehlfust_12" select="./fehlfust_12/text()"/>
        <xsl:if test="$fehlm_12 or $fehlj_12 or $fehltg_12 or $fehlutg_12 or $fehlst_12 or $fehlfust_12">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_12">
            <fehlzeiten_monat><xsl:value-of select="fehlm_12"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_12">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_12"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_12">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_12"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_12">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_12"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_12">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_12"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_12">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_12"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_13" select="./fehlm_13/text()"/>
        <xsl:variable name="fehlj_13" select="./fehlj_13/text()"/>
        <xsl:variable name="fehltg_13" select="./fehltg_13/text()"/>
        <xsl:variable name="fehlutg_13" select="./fehlutg_13/text()"/>
        <xsl:variable name="fehlst_13" select="./fehlst_13/text()"/>
        <xsl:variable name="fehlfust_13" select="./fehlfust_13/text()"/>
        <xsl:if test="$fehlm_13 or $fehlj_13 or $fehltg_13 or $fehlutg_13 or $fehlst_13 or $fehlfust_13">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_13">
            <fehlzeiten_monat><xsl:value-of select="fehlm_13"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_13">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_13"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_13">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_13"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_13">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_13"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_13">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_13"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_13">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_13"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_14" select="./fehlm_14/text()"/>
        <xsl:variable name="fehlj_14" select="./fehlj_14/text()"/>
        <xsl:variable name="fehltg_14" select="./fehltg_14/text()"/>
        <xsl:variable name="fehlutg_14" select="./fehlutg_14/text()"/>
        <xsl:variable name="fehlst_14" select="./fehlst_14/text()"/>
        <xsl:variable name="fehlfust_14" select="./fehlfust_14/text()"/>
        <xsl:if test="$fehlm_14 or $fehlj_14 or $fehltg_14 or $fehlutg_14 or $fehlst_14 or $fehlfust_14">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_14">
            <fehlzeiten_monat><xsl:value-of select="fehlm_14"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_14">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_14"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_14">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_14"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_14">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_14"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_14">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_14"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_14">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_14"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_15" select="./fehlm_15/text()"/>
        <xsl:variable name="fehlj_15" select="./fehlj_15/text()"/>
        <xsl:variable name="fehltg_15" select="./fehltg_15/text()"/>
        <xsl:variable name="fehlutg_15" select="./fehlutg_15/text()"/>
        <xsl:variable name="fehlst_15" select="./fehlst_15/text()"/>
        <xsl:variable name="fehlfust_15" select="./fehlfust_15/text()"/>
        <xsl:if test="$fehlm_15 or $fehlj_15 or $fehltg_15 or $fehlutg_15 or $fehlst_15 or $fehlfust_15">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_15">
            <fehlzeiten_monat><xsl:value-of select="fehlm_15"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_15">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_15"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_15">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_15"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_15">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_15"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_15">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_15"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_15">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_15"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>

        <xsl:variable name="fehlm_16" select="./fehlm_16/text()"/>
        <xsl:variable name="fehlj_16" select="./fehlj_16/text()"/>
        <xsl:variable name="fehltg_16" select="./fehltg_16/text()"/>
        <xsl:variable name="fehlutg_16" select="./fehlutg_16/text()"/>
        <xsl:variable name="fehlst_16" select="./fehlst_16/text()"/>
        <xsl:variable name="fehlfust_16" select="./fehlfust_16/text()"/>
        <xsl:if test="$fehlm_16 or $fehlj_16 or $fehltg_16 or $fehlutg_16 or $fehlst_16 or $fehlfust_16">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_16">
            <fehlzeiten_monat><xsl:value-of select="fehlm_16"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_16">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_16"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_16">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_16"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_16">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_16"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_16">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_16"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_16">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_16"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>
        
        <xsl:variable name="fehlm_17" select="./fehlm_17/text()"/>
        <xsl:variable name="fehlj_17" select="./fehlj_17/text()"/>
        <xsl:variable name="fehltg_17" select="./fehltg_17/text()"/>
        <xsl:variable name="fehlutg_17" select="./fehlutg_17/text()"/>
        <xsl:variable name="fehlst_17" select="./fehlst_17/text()"/>
        <xsl:variable name="fehlfust_17" select="./fehlfust_17/text()"/>
        <xsl:if test="$fehlm_17 or $fehlj_17 or $fehltg_17 or $fehlutg_17 or $fehlst_17 or $fehlfust_17">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_17">
            <fehlzeiten_monat><xsl:value-of select="fehlm_17"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_17">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_17"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_17">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_17"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_17">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_17"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_17">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_17"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_17">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_17"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>
        
        <xsl:variable name="fehlm_18" select="./fehlm_18/text()"/>
        <xsl:variable name="fehlj_18" select="./fehlj_18/text()"/>
        <xsl:variable name="fehltg_18" select="./fehltg_18/text()"/>
        <xsl:variable name="fehlutg_18" select="./fehlutg_18/text()"/>
        <xsl:variable name="fehlst_18" select="./fehlst_18/text()"/>
        <xsl:variable name="fehlfust_18" select="./fehlfust_18/text()"/>
        <xsl:if test="$fehlm_18 or $fehlj_18 or $fehltg_18 or $fehlutg_18 or $fehlst_18 or $fehlfust_18">
        <rg_fehlzeiten>
          
          <xsl:if test="$fehlm_18">
            <fehlzeiten_monat><xsl:value-of select="fehlm_18"/></fehlzeiten_monat>
          </xsl:if>
          <xsl:if test="$fehlj_18">
            <fehlzeiten_jahr><xsl:value-of select="fehlj_18"/></fehlzeiten_jahr>
          </xsl:if>
          <xsl:if test="$fehltg_18">
            <fehlzeiten_anzahl_fehltage><xsl:value-of select="fehltg_18"/></fehlzeiten_anzahl_fehltage>
          </xsl:if>
          <xsl:if test="$fehlutg_18">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlutg_18"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
          <xsl:if test="$fehlst_18">
            <fehlzeiten_anzahl_fehlstunden><xsl:value-of select="fehlst_18"/></fehlzeiten_anzahl_fehlstunden>
          </xsl:if>
          <xsl:if test="$fehlfust_18">
            <fehlzeiten_unentschuldigt_tage><xsl:value-of select="fehlfust_18"/></fehlzeiten_unentschuldigt_tage>
          </xsl:if>
        </rg_fehlzeiten>
        </xsl:if>
    </xsl:template>



    <!-- ****** RG_PROBLEME ****** -->

    <!--
      IF r.probleme_a IS NOT NULL THEN
	    uuid = generate_uuidgen();
            rgid = create_rg_probleme_tbl(r.id, uuid);
            UPDATE rg_probleme_tbl set
                  probleme_aus_sicht_von = 1,
                  probleme_beschreibung =  r.probleme_a
            WHERE id><xsl:value-of select="id;
      END IF;
    -->
    <xsl:template name="rg_probleme">
        <!-- "... des jungen Menschen", ID: 1 -->
        <xsl:variable name="probleme_a" select="./probleme_a/text()"/>
        <xsl:if test="$probleme_a">
        <rg_probleme>
          
          <probleme_aus_sicht_von>1</probleme_aus_sicht_von>
          <probleme_beschreibung><xsl:value-of select="probleme_a"/></probleme_beschreibung>
        </rg_probleme>
        </xsl:if>
        
        <!-- "...der Eltern/Sorgeberechtigten", ID: 2  -->
        <xsl:variable name="probleme_b" select="./probleme_b/text()"/>
        <xsl:if test="$probleme_b">
        <rg_probleme>
          
          <probleme_aus_sicht_von>2</probleme_aus_sicht_von>
          <probleme_beschreibung><xsl:value-of select="probleme_b"/></probleme_beschreibung>
        </rg_probleme>
        </xsl:if>
        
        <!-- "...der Koordinierungsstelle", ID: 3 -->
        <xsl:variable name="probleme_c" select="./probleme_c/text()"/>
        <xsl:if test="$probleme_c">
        <rg_probleme>
          
          <probleme_aus_sicht_von>3</probleme_aus_sicht_von>
          <probleme_beschreibung><xsl:value-of select="probleme_c"/></probleme_beschreibung>
        </rg_probleme>
        </xsl:if>
        
        <!-- "...der Lehrerin/des Lehrers", ID: 4 -->
        <xsl:variable name="probleme_d" select="./probleme_d/text()"/>
        <xsl:if test="$probleme_d">
        <rg_probleme>
          
          <probleme_aus_sicht_von>4</probleme_aus_sicht_von>
          <probleme_beschreibung><xsl:value-of select="probleme_d"/></probleme_beschreibung>
        </rg_probleme>
        </xsl:if>
        
        <!-- "...des Jugendamtes", ID: 5 -->
        <xsl:variable name="probleme_e" select="./probleme_e/text()"/>
        <xsl:if test="$probleme_e">
        <rg_probleme>
          
          <probleme_aus_sicht_von>5</probleme_aus_sicht_von>
          <probleme_beschreibung><xsl:value-of select="probleme_e"/></probleme_beschreibung>
        </rg_probleme>
        </xsl:if>
        
        <!-- "Sonstiges", ID: -1 -->
        <xsl:variable name="probleme_f" select="./probleme_f/text()"/>
        <xsl:if test="$probleme_f">
        <rg_probleme>
          
          <probleme_aus_sicht_von>-2</probleme_aus_sicht_von>
          <probleme_beschreibung><xsl:value-of select="probleme_f"/>; <xsl:value-of select="probleme_f_t"/></probleme_beschreibung>
        </rg_probleme>
        </xsl:if>
    </xsl:template>





    <!-- ****** RG_BEZUGSPERSONEN ****** -->
    
    <!--
    IF r.kd_bezug_name_1 IS NOT NULL
            OR r.kd_bezug_funktion_1 != -1
            OR r.kd_bezug_vorname_1 IS NOT NULL
            OR r.kd_bezug_strasse_1 IS NOT NULL
            OR r.kd_bezug_strassenr_1 IS NOT NULL
            OR r.kd_bezug_ort_1 IS NOT NULL
            OR r.kd_bezug_plz_1 IS NOT NULL
            OR r.kd_bezug_1_vorwahl IS NOT NULL
            OR r.kd_bezug_1_telefon IS NOT NULL
            OR r.kd_bezug_email_1 IS NOT NULL THEN

            uuid = generate_uuidgen();
            rgid = create_rg_kontaktdaten_tbl(r.id, uuid);
            UPDATE rg_kontaktdaten_tbl set
               kontaktdaten_bezugsperson_name><xsl:value-of select="kd_bezug_name_1,
               kontaktdaten_bezugsperson_vorname><xsl:value-of select="kd_bezug_vorname_1,
               kontaktdaten_bezugsperson_funktion><xsl:value-of select="kd_bezug_funktion_1,
               kontaktdaten_bezugsperson_strasse><xsl:value-of select="kd_bezug_strasse_1,
               kontaktdaten_bezugsperson_strassenr><xsl:value-of select="kd_bezug_strassenr_1,
               kontaktdaten_bezugsperson_ort><xsl:value-of select="kd_bezug_ort_1,
               kontaktdaten_bezugsperson_plz><xsl:value-of select="kd_bezug_plz_1,
               kontaktdaten_bezugsperson_vorwahl><xsl:value-of select="kd_bezug_1_vorwahl,
               kontaktdaten_bezugsperson_telefon><xsl:value-of select="kd_bezug_1_telefon,
               kontaktdaten_bezugsperson_email><xsl:value-of select="kd_bezug_email_1
            WHERE id><xsl:value-of select="id;
      END IF;

    -->
    <xsl:template name="rg_bezugspersonen">
        <!-- Kontaktdaten Bezugsperson 1 -->
        <xsl:variable name="kd_bezug_name_1" select="./kd_bezug_name_1/text()"/>
        <xsl:variable name="kd_bezug_vorname_1" select="./kd_bezug_vorname_1/text()"/>
        <xsl:variable name="kd_bezug_funktion_1" select="./kd_bezug_funktion_1/text()"/>
        <xsl:variable name="kd_bezug_strasse_1" select="./kd_bezug_strasse_1/text()"/>
        <xsl:variable name="kd_bezug_strassenr_1" select="./kd_bezug_strassenr_1/text()"/>
        <xsl:variable name="kd_bezug_ort_1" select="./kd_bezug_ort_1/text()"/>
        <xsl:variable name="kd_bezug_plz_1" select="./kd_bezug_plz_1/text()"/>
        <xsl:variable name="kd_bezug_1_vorwahl" select="./kd_bezug_1_vorwahl/text()"/>
        <xsl:variable name="kd_bezug_1_telefon" select="./kd_bezug_1_telefon/text()"/>
        <xsl:variable name="kd_bezug_email_1" select="./kd_bezug_email_1/text()"/>
        
        <xsl:if test="$kd_bezug_name_1 or
                    $kd_bezug_vorname_1 or
                    $kd_bezug_funktion_1 or
                    $kd_bezug_strasse_1 or
                    $kd_bezug_strassenr_1 or
                    $kd_bezug_ort_1 or
                    $kd_bezug_plz_1 or
                    $kd_bezug_1_vorwahl or
                    $kd_bezug_1_telefon or
                    $kd_bezug_email_1">
        <rg_kontaktdaten>
            
            <xsl:if test="$kd_bezug_name_1">
                <kontaktdaten_bezugsperson_name><xsl:value-of select="kd_bezug_name_1"/></kontaktdaten_bezugsperson_name>
            </xsl:if>
            <xsl:if test="$kd_bezug_vorname_1">
                <kontaktdaten_bezugsperson_vorname><xsl:value-of select="kd_bezug_vorname_1"/></kontaktdaten_bezugsperson_vorname>
            </xsl:if>
            <xsl:if test="$kd_bezug_funktion_1">
                <kontaktdaten_bezugsperson_funktion><xsl:value-of select="kd_bezug_funktion_1"/></kontaktdaten_bezugsperson_funktion>
            </xsl:if>
            <xsl:if test="$kd_bezug_strasse_1">
                <kontaktdaten_bezugsperson_strasse><xsl:value-of select="kd_bezug_strasse_1"/></kontaktdaten_bezugsperson_strasse>
            </xsl:if>
            <xsl:if test="$kd_bezug_strassenr_1">
                <kontaktdaten_bezugsperson_strassenr><xsl:value-of select="kd_bezug_strassenr_1"/></kontaktdaten_bezugsperson_strassenr>
            </xsl:if>
            <xsl:if test="$kd_bezug_ort_1">
                <kontaktdaten_bezugsperson_ort><xsl:value-of select="kd_bezug_ort_1"/></kontaktdaten_bezugsperson_ort>
            </xsl:if>
            <xsl:if test="$kd_bezug_plz_1">
                <kontaktdaten_bezugsperson_plz><xsl:value-of select="kd_bezug_plz_1"/></kontaktdaten_bezugsperson_plz>
            </xsl:if>
            <xsl:if test="$kd_bezug_1_vorwahl">
                <kontaktdaten_bezugsperson_vorwahl><xsl:value-of select="kd_bezug_1_vorwahl"/></kontaktdaten_bezugsperson_vorwahl>
            </xsl:if>
            <xsl:if test="$kd_bezug_1_telefon">
                <kontaktdaten_bezugsperson_telefon><xsl:value-of select="kd_bezug_1_telefon"/></kontaktdaten_bezugsperson_telefon>
            </xsl:if>
            <xsl:if test="$kd_bezug_email_1">
                <kontaktdaten_bezugsperson_email><xsl:value-of select="kd_bezug_email_1"/></kontaktdaten_bezugsperson_email>
            </xsl:if>
        </rg_kontaktdaten>
        </xsl:if>
        
        <!-- Kontaktdaten Bezugsperson 2 -->
        <xsl:variable name="kd_bezug_name_2" select="./kd_bezug_name_2/text()"/>
        <xsl:variable name="kd_bezug_vorname_2" select="./kd_bezug_vorname_2/text()"/>
        <xsl:variable name="kd_bezug_funktion_2" select="./kd_bezug_funktion_2/text()"/>
        <xsl:variable name="kd_bezug_strasse_2" select="./kd_bezug_strasse_2/text()"/>
        <xsl:variable name="kd_bezug_strassenr_2" select="./kd_bezug_strassenr_2/text()"/>
        <xsl:variable name="kd_bezug_ort_2" select="./kd_bezug_ort_2/text()"/>
        <xsl:variable name="kd_bezug_plz_2" select="./kd_bezug_plz_2/text()"/>
        <xsl:variable name="kd_bezug_2_vorwahl" select="./kd_bezug_2_vorwahl/text()"/>
        <xsl:variable name="kd_bezug_2_telefon" select="./kd_bezug_2_telefon/text()"/>
        <xsl:variable name="kd_bezug_email_2" select="./kd_bezug_email_2/text()"/>
        <xsl:if test="$kd_bezug_name_2 or
                    $kd_bezug_vorname_2 or
                    $kd_bezug_funktion_2 or
                    $kd_bezug_strasse_2 or
                    $kd_bezug_strassenr_2 or
                    $kd_bezug_ort_2 or
                    $kd_bezug_plz_2 or
                    $kd_bezug_2_vorwahl or
                    $kd_bezug_2_telefon or
                    $kd_bezug_email_2">
        <rg_kontaktdaten>
            
            <xsl:if test="$kd_bezug_name_2">
                <kontaktdaten_bezugsperson_name><xsl:value-of select="kd_bezug_name_2"/></kontaktdaten_bezugsperson_name>
            </xsl:if>
            <xsl:if test="$kd_bezug_vorname_2">
                <kontaktdaten_bezugsperson_vorname><xsl:value-of select="kd_bezug_vorname_2"/></kontaktdaten_bezugsperson_vorname>
            </xsl:if>
            <xsl:if test="$kd_bezug_funktion_2">
                <kontaktdaten_bezugsperson_funktion><xsl:value-of select="kd_bezug_funktion_2"/></kontaktdaten_bezugsperson_funktion>
            </xsl:if>
            <xsl:if test="$kd_bezug_strasse_2">
                <kontaktdaten_bezugsperson_strasse><xsl:value-of select="kd_bezug_strasse_2"/></kontaktdaten_bezugsperson_strasse>
            </xsl:if>
            <xsl:if test="$kd_bezug_strassenr_2">
                <kontaktdaten_bezugsperson_strassenr><xsl:value-of select="kd_bezug_strassenr_2"/></kontaktdaten_bezugsperson_strassenr>
            </xsl:if>
            <xsl:if test="$kd_bezug_ort_2">
                <kontaktdaten_bezugsperson_ort><xsl:value-of select="kd_bezug_ort_2"/></kontaktdaten_bezugsperson_ort>
            </xsl:if>
            <xsl:if test="$kd_bezug_plz_2">
                <kontaktdaten_bezugsperson_plz><xsl:value-of select="kd_bezug_plz_2"/></kontaktdaten_bezugsperson_plz>
            </xsl:if>
            <xsl:if test="$kd_bezug_2_vorwahl">
                <kontaktdaten_bezugsperson_vorwahl><xsl:value-of select="kd_bezug_2_vorwahl"/></kontaktdaten_bezugsperson_vorwahl>
            </xsl:if>
            <xsl:if test="$kd_bezug_2_telefon">
                <kontaktdaten_bezugsperson_telefon><xsl:value-of select="kd_bezug_2_telefon"/></kontaktdaten_bezugsperson_telefon>
            </xsl:if>
            <xsl:if test="$kd_bezug_email_2">
                <kontaktdaten_bezugsperson_email><xsl:value-of select="kd_bezug_email_2"/></kontaktdaten_bezugsperson_email>
            </xsl:if>
        </rg_kontaktdaten>
        </xsl:if>
        
        <!-- Kontaktdaten Bezugsperson 3 -->
        <xsl:variable name="kd_bezug_name_3" select="./kd_bezug_name_3/text()"/>
        <xsl:variable name="kd_bezug_vorname_3" select="./kd_bezug_vorname_3/text()"/>
        <xsl:variable name="kd_bezug_funktion_3" select="./kd_bezug_funktion_3/text()"/>
        <xsl:variable name="kd_bezug_strasse_3" select="./kd_bezug_strasse_3/text()"/>
        <xsl:variable name="kd_bezug_strassenr_3" select="./kd_bezug_strassenr_3/text()"/>
        <xsl:variable name="kd_bezug_ort_3" select="./kd_bezug_ort_3/text()"/>
        <xsl:variable name="kd_bezug_plz_3" select="./kd_bezug_plz_3/text()"/>
        <xsl:variable name="kd_bezug_3_vorwahl" select="./kd_bezug_3_vorwahl/text()"/>
        <xsl:variable name="kd_bezug_3_telefon" select="./kd_bezug_3_telefon/text()"/>
        <xsl:variable name="kd_bezug_email_3" select="./kd_bezug_email_3/text()"/>
        <xsl:if test="$kd_bezug_name_3 or
                    $kd_bezug_vorname_3 or
                    $kd_bezug_funktion_3 or
                    $kd_bezug_strasse_3 or
                    $kd_bezug_strassenr_3 or
                    $kd_bezug_ort_3 or
                    $kd_bezug_plz_3 or
                    $kd_bezug_3_vorwahl or
                    $kd_bezug_3_telefon or
                    $kd_bezug_email_3">
        <rg_kontaktdaten>
            
            <xsl:if test="$kd_bezug_name_3">
                <kontaktdaten_bezugsperson_name><xsl:value-of select="kd_bezug_name_3"/></kontaktdaten_bezugsperson_name>
            </xsl:if>
            <xsl:if test="$kd_bezug_vorname_3">
                <kontaktdaten_bezugsperson_vorname><xsl:value-of select="kd_bezug_vorname_3"/></kontaktdaten_bezugsperson_vorname>
            </xsl:if>
            <xsl:if test="$kd_bezug_funktion_3">
                <kontaktdaten_bezugsperson_funktion><xsl:value-of select="kd_bezug_funktion_3"/></kontaktdaten_bezugsperson_funktion>
            </xsl:if>
            <xsl:if test="$kd_bezug_strasse_3">
                <kontaktdaten_bezugsperson_strasse><xsl:value-of select="kd_bezug_strasse_3"/></kontaktdaten_bezugsperson_strasse>
            </xsl:if>
            <xsl:if test="$kd_bezug_strassenr_3">
                <kontaktdaten_bezugsperson_strassenr><xsl:value-of select="kd_bezug_strassenr_3"/></kontaktdaten_bezugsperson_strassenr>
            </xsl:if>
            <xsl:if test="$kd_bezug_ort_3">
                <kontaktdaten_bezugsperson_ort><xsl:value-of select="kd_bezug_ort_3"/></kontaktdaten_bezugsperson_ort>
            </xsl:if>
            <xsl:if test="$kd_bezug_plz_3">
                <kontaktdaten_bezugsperson_plz><xsl:value-of select="kd_bezug_plz_3"/></kontaktdaten_bezugsperson_plz>
            </xsl:if>
            <xsl:if test="$kd_bezug_3_vorwahl">
                <kontaktdaten_bezugsperson_vorwahl><xsl:value-of select="kd_bezug_3_vorwahl"/></kontaktdaten_bezugsperson_vorwahl>
            </xsl:if>
            <xsl:if test="$kd_bezug_3_telefon">
                <kontaktdaten_bezugsperson_telefon><xsl:value-of select="kd_bezug_3_telefon"/></kontaktdaten_bezugsperson_telefon>
            </xsl:if>
            <xsl:if test="$kd_bezug_email_3">
                <kontaktdaten_bezugsperson_email><xsl:value-of select="kd_bezug_email_3"/></kontaktdaten_bezugsperson_email>
            </xsl:if>
        </rg_kontaktdaten>
        </xsl:if>
    </xsl:template>
    
    
    
    <!-- ****** RG_HILFSMASSNAHMEN ****** -->
    
    <!--
    IF r.hilfm_1 = 1
         OR r.hilfm_art_1 IS NOT NULL
         OR r.hilfm_inst_1 IS NOT NULL
         OR r.hilfm_einr_1 IS NOT NULL
         OR r.hilfm_start_1 IS NOT NULL
         OR r.hilfm_ende_1 IS NOT NULL
         OR r.hilfm_umf_1 IS NOT NULL
         
         OR r.hilfm_ziel_1_1 IS NOT NULL
         OR r.hilfm_zeit_1_1 != -1
         OR r.hilfm_erreicht_1_1 != -1
         
         OR r.hilfm_ziel_1_2 IS NOT NULL
         OR r.hilfm_zeit_1_2 != -1
         OR r.hilfm_erreicht_1_2 != -1
         
         OR r.hilfm_ziel_1_3 IS NOT NULL
         OR r.hilfm_zeit_1_3 != -1
         OR r.hilfm_erreicht_1_3 != -1
         
         OR r.hilfm_sf_1 IS NOT NULL THEN
         
	    uuid = generate_uuidgen();
            rgid = create_rg_hilfsmassnahmen_tbl(r.id, uuid);
            UPDATE rg_hilfsmassnahmen_tbl set
               hilfsmassnahmen_art><xsl:value-of select="hilfm_art_1,
               hilfsmassnahmen_institution><xsl:value-of select="hilfm_inst_1,
               hilfsmassnahmen_einrichtung><xsl:value-of select="hilfm_einr_1,
               hilfsmassnahmen_start><xsl:value-of select="hilfm_start_1,
               hilfsmassnahmen_ende><xsl:value-of select="hilfm_ende_1,
               hilfsmassnahmen_umfang><xsl:value-of select="hilfm_umf_1,
               
               hilfsmassnahmen_ziel_1><xsl:value-of select="hilfm_ziel_1_1,
               hilfsmassnahmen_zeit_1><xsl:value-of select="hilfm_zeit_1_1,
               hilfsmassnahmen_erreicht_1><xsl:value-of select="hilfm_erreicht_1_1,
               
               hilfsmassnahmen_ziel_2><xsl:value-of select="hilfm_ziel_1_2,
               hilfsmassnahmen_zeit_2><xsl:value-of select="hilfm_zeit_1_2,
               hilfsmassnahmen_erreicht_2><xsl:value-of select="hilfm_erreicht_1_2,
               
               hilfsmassnahmen_ziel_3><xsl:value-of select="hilfm_ziel_1_3,
               hilfsmassnahmen_zeit_3><xsl:value-of select="hilfm_zeit_1_3,
               hilfsmassnahmen_erreicht_3><xsl:value-of select="hilfm_erreicht_1_3,
               
               hilfsmassnahmen_schlussfolgerungen><xsl:value-of select="hilfm_sf_1
            WHERE id><xsl:value-of select="id;
      END IF;
    -->
    <xsl:template name="rg_hilfsmassnahmen">
        <!-- Hilfsmassnahme/Unterstuetzungsangebot 1 -->
        <xsl:variable name="hilfm_art_1" select="./hilfm_art_1/text()"/>
        <xsl:variable name="hilfm_inst_1" select="./hilfm_inst_1/text()"/>
        <xsl:variable name="hilfm_einr_1" select="./hilfm_einr_1/text()"/>
        <xsl:variable name="hilfm_start_1" select="./hilfm_start_1/text()"/>
        <xsl:variable name="hilfm_ende_1" select="./hilfm_ende_1/text()"/>
        <xsl:variable name="hilfm_umf_1" select="./hilfm_umf_1/text()"/>
        <xsl:variable name="hilfm_ziel_1_1" select="./hilfm_ziel_1_1/text()"/>
        <xsl:variable name="hilfm_zeit_1_1" select="./hilfm_zeit_1_1/text()"/>
        <xsl:variable name="hilfm_erreicht_1_1" select="./hilfm_erreicht_1_1/text()"/>
        <xsl:variable name="hilfm_ziel_1_2" select="./hilfm_ziel_1_2/text()"/>
        <xsl:variable name="hilfm_zeit_1_2" select="./hilfm_zeit_1_2/text()"/>
        <xsl:variable name="hilfm_erreicht_1_2" select="./hilfm_erreicht_1_2/text()"/>
        <xsl:variable name="hilfm_ziel_1_3" select="./hilfm_ziel_1_3/text()"/>
        <xsl:variable name="hilfm_zeit_1_3" select="./hilfm_zeit_1_3/text()"/>
        <xsl:variable name="hilfm_erreicht_1_3" select="./hilfm_erreicht_1_3/text()"/>
        <xsl:variable name="hilfm_sf_1" select="./hilfm_sf_1/text()"/>
        <xsl:if test="$hilfm_art_1 or
                    $hilfm_inst_1 or
                    $hilfm_einr_1 or
                    $hilfm_start_1 or
                    $hilfm_ende_1 or
                    $hilfm_umf_1 or
                    $hilfm_ziel_1_1 or
                    $hilfm_zeit_1_1 or
                    $hilfm_erreicht_1_1 or
                    $hilfm_ziel_1_2 or
                    $hilfm_zeit_1_2 or
                    $hilfm_erreicht_1_2 or
                    $hilfm_ziel_1_3 or
                    $hilfm_zeit_1_3 or
                    $hilfm_erreicht_1_3 or
                    $hilfm_sf_1 ">
        <rg_hilfsmassnahmen>
            
            <xsl:if test="$hilfm_art_1">
                <hilfsmassnahmen_art><xsl:value-of select="hilfm_art_1"/></hilfsmassnahmen_art>
            </xsl:if>
            <xsl:if test="$hilfm_inst_1">
                <hilfsmassnahmen_institution><xsl:value-of select="hilfm_inst_1"/></hilfsmassnahmen_institution>
            </xsl:if>
            <xsl:if test="$hilfm_einr_1">
                <hilfsmassnahmen_einrichtung><xsl:value-of select="hilfm_einr_1"/></hilfsmassnahmen_einrichtung>
            </xsl:if>
            <xsl:if test="$hilfm_start_1">
                <hilfsmassnahmen_start><xsl:value-of select="hilfm_start_1"/></hilfsmassnahmen_start>
            </xsl:if>
            <xsl:if test="$hilfm_ende_1">
                <hilfsmassnahmen_ende><xsl:value-of select="hilfm_ende_1"/></hilfsmassnahmen_ende>
            </xsl:if>
            <xsl:if test="$hilfm_umf_1">
                <hilfsmassnahmen_umfang><xsl:value-of select="hilfm_umf_1"/></hilfsmassnahmen_umfang>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_1_1">
                <hilfsmassnahmen_ziel_1><xsl:value-of select="hilfm_ziel_1_1"/></hilfsmassnahmen_ziel_1>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_1_1">
                <hilfsmassnahmen_zeit_1><xsl:value-of select="hilfm_zeit_1_1"/></hilfsmassnahmen_zeit_1>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_1_1">
                <hilfsmassnahmen_erreicht_1><xsl:value-of select="hilfm_erreicht_1_1"/></hilfsmassnahmen_erreicht_1>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_1_2">
                <hilfsmassnahmen_ziel_2><xsl:value-of select="hilfm_ziel_1_2"/></hilfsmassnahmen_ziel_2>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_1_2">
                <hilfsmassnahmen_zeit_2><xsl:value-of select="hilfm_zeit_1_2"/></hilfsmassnahmen_zeit_2>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_1_2">
                <hilfsmassnahmen_erreicht_2><xsl:value-of select="hilfm_erreicht_1_2"/></hilfsmassnahmen_erreicht_2>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_1_3">
                <hilfsmassnahmen_ziel_3><xsl:value-of select="hilfm_ziel_1_3"/></hilfsmassnahmen_ziel_3>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_1_3">
                <hilfsmassnahmen_zeit_3><xsl:value-of select="hilfm_zeit_1_3"/></hilfsmassnahmen_zeit_3>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_1_3">
                <hilfsmassnahmen_erreicht_3><xsl:value-of select="hilfm_erreicht_1_3"/></hilfsmassnahmen_erreicht_3>
            </xsl:if>
            
            <xsl:if test="$hilfm_sf_1">
                <hilfsmassnahmen_schlussfolgerungen><xsl:value-of select="hilfm_sf_1"/></hilfsmassnahmen_schlussfolgerungen>
            </xsl:if>
        </rg_hilfsmassnahmen>
        </xsl:if>
        
        <!-- Hilfsmassnahme/Unterstuetzungsangebot 2 -->
        <xsl:variable name="hilfm_art_2" select="./hilfm_art_2/text()"/>
        <xsl:variable name="hilfm_inst_2" select="./hilfm_inst_2/text()"/>
        <xsl:variable name="hilfm_einr_2" select="./hilfm_einr_2/text()"/>
        <xsl:variable name="hilfm_start_2" select="./hilfm_start_2/text()"/>
        <xsl:variable name="hilfm_ende_2" select="./hilfm_ende_2/text()"/>
        <xsl:variable name="hilfm_umf_2" select="./hilfm_umf_2/text()"/>
        <xsl:variable name="hilfm_ziel_2_1" select="./hilfm_ziel_2_1/text()"/>
        <xsl:variable name="hilfm_zeit_2_1" select="./hilfm_zeit_2_1/text()"/>
        <xsl:variable name="hilfm_erreicht_2_1" select="./hilfm_erreicht_2_1/text()"/>
        <xsl:variable name="hilfm_ziel_2_2" select="./hilfm_ziel_2_2/text()"/>
        <xsl:variable name="hilfm_zeit_2_2" select="./hilfm_zeit_2_2/text()"/>
        <xsl:variable name="hilfm_erreicht_2_2" select="./hilfm_erreicht_2_2/text()"/>
        <xsl:variable name="hilfm_ziel_2_3" select="./hilfm_ziel_2_3/text()"/>
        <xsl:variable name="hilfm_zeit_2_3" select="./hilfm_zeit_2_3/text()"/>
        <xsl:variable name="hilfm_erreicht_2_3" select="./hilfm_erreicht_2_3/text()"/>
        <xsl:variable name="hilfm_sf_2" select="./hilfm_sf_2/text()"/>
        <xsl:if test="$hilfm_art_2 or
                    $hilfm_inst_2 or
                    $hilfm_einr_2 or
                    $hilfm_start_2 or
                    $hilfm_ende_2 or
                    $hilfm_umf_2 or
                    $hilfm_ziel_2_1 or
                    $hilfm_zeit_2_1 or
                    $hilfm_erreicht_2_1 or
                    $hilfm_ziel_2_2 or
                    $hilfm_zeit_2_2 or
                    $hilfm_erreicht_2_2 or
                    $hilfm_ziel_2_3 or
                    $hilfm_zeit_2_3 or
                    $hilfm_erreicht_2_3 or
                    $hilfm_sf_2 ">
        <rg_hilfsmassnahmen>
            
            <xsl:if test="$hilfm_art_2">
                <hilfsmassnahmen_art><xsl:value-of select="hilfm_art_2"/></hilfsmassnahmen_art>
            </xsl:if>
            <xsl:if test="$hilfm_inst_2">
                <hilfsmassnahmen_institution><xsl:value-of select="hilfm_inst_2"/></hilfsmassnahmen_institution>
            </xsl:if>
            <xsl:if test="$hilfm_einr_2">
                <hilfsmassnahmen_einrichtung><xsl:value-of select="hilfm_einr_2"/></hilfsmassnahmen_einrichtung>
            </xsl:if>
            <xsl:if test="$hilfm_start_2">
                <hilfsmassnahmen_start><xsl:value-of select="hilfm_start_2"/></hilfsmassnahmen_start>
            </xsl:if>
            <xsl:if test="$hilfm_ende_2">
                <hilfsmassnahmen_ende><xsl:value-of select="hilfm_ende_2"/></hilfsmassnahmen_ende>
            </xsl:if>
            <xsl:if test="$hilfm_umf_2">
                <hilfsmassnahmen_umfang><xsl:value-of select="hilfm_umf_2"/></hilfsmassnahmen_umfang>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_2_1">
                <hilfsmassnahmen_ziel_1><xsl:value-of select="hilfm_ziel_2_1"/></hilfsmassnahmen_ziel_1>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_2_1">
                <hilfsmassnahmen_zeit_1><xsl:value-of select="hilfm_zeit_2_1"/></hilfsmassnahmen_zeit_1>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_2_1">
                <hilfsmassnahmen_erreicht_1><xsl:value-of select="hilfm_erreicht_2_1"/></hilfsmassnahmen_erreicht_1>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_2_2">
                <hilfsmassnahmen_ziel_2><xsl:value-of select="hilfm_ziel_2_2"/></hilfsmassnahmen_ziel_2>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_2_2">
                <hilfsmassnahmen_zeit_2><xsl:value-of select="hilfm_zeit_2_2"/></hilfsmassnahmen_zeit_2>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_2_2">
                <hilfsmassnahmen_erreicht_2><xsl:value-of select="hilfm_erreicht_2_2"/></hilfsmassnahmen_erreicht_2>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_2_3">
                <hilfsmassnahmen_ziel_3><xsl:value-of select="hilfm_ziel_2_3"/></hilfsmassnahmen_ziel_3>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_2_3">
                <hilfsmassnahmen_zeit_3><xsl:value-of select="hilfm_zeit_2_3"/></hilfsmassnahmen_zeit_3>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_2_3">
                <hilfsmassnahmen_erreicht_3><xsl:value-of select="hilfm_erreicht_2_3"/></hilfsmassnahmen_erreicht_3>
            </xsl:if>
            
            <xsl:if test="$hilfm_sf_2">
                <hilfsmassnahmen_schlussfolgerungen><xsl:value-of select="hilfm_sf_2"/></hilfsmassnahmen_schlussfolgerungen>
            </xsl:if>
        </rg_hilfsmassnahmen>
        </xsl:if>
        
        
        
        
        <!-- Hilfsmassnahme/Unterstuetzungsangebot 3 -->
        <xsl:variable name="hilfm_art_3" select="./hilfm_art_3/text()"/>
        <xsl:variable name="hilfm_inst_3" select="./hilfm_inst_3/text()"/>
        <xsl:variable name="hilfm_einr_3" select="./hilfm_einr_3/text()"/>
        <xsl:variable name="hilfm_start_3" select="./hilfm_start_3/text()"/>
        <xsl:variable name="hilfm_ende_3" select="./hilfm_ende_3/text()"/>
        <xsl:variable name="hilfm_umf_3" select="./hilfm_umf_3/text()"/>
        <xsl:variable name="hilfm_ziel_3_1" select="./hilfm_ziel_3_1/text()"/>
        <xsl:variable name="hilfm_zeit_3_1" select="./hilfm_zeit_3_1/text()"/>
        <xsl:variable name="hilfm_erreicht_3_1" select="./hilfm_erreicht_3_1/text()"/>
        <xsl:variable name="hilfm_ziel_3_2" select="./hilfm_ziel_3_2/text()"/>
        <xsl:variable name="hilfm_zeit_3_2" select="./hilfm_zeit_3_2/text()"/>
        <xsl:variable name="hilfm_erreicht_3_2" select="./hilfm_erreicht_3_2/text()"/>
        <xsl:variable name="hilfm_ziel_3_3" select="./hilfm_ziel_3_3/text()"/>
        <xsl:variable name="hilfm_zeit_3_3" select="./hilfm_zeit_3_3/text()"/>
        <xsl:variable name="hilfm_erreicht_3_3" select="./hilfm_erreicht_3_3/text()"/>
        <xsl:variable name="hilfm_sf_3" select="./hilfm_sf_3/text()"/>
        <xsl:if test="$hilfm_art_3 or
                    $hilfm_inst_3 or
                    $hilfm_einr_3 or
                    $hilfm_start_3 or
                    $hilfm_ende_3 or
                    $hilfm_umf_3 or
                    $hilfm_ziel_3_1 or
                    $hilfm_zeit_3_1 or
                    $hilfm_erreicht_3_1 or
                    $hilfm_ziel_3_2 or
                    $hilfm_zeit_3_2 or
                    $hilfm_erreicht_3_2 or
                    $hilfm_ziel_3_3 or
                    $hilfm_zeit_3_3 or
                    $hilfm_erreicht_3_3 or
                    $hilfm_sf_3 ">
        <rg_hilfsmassnahmen>
            
            <xsl:if test="$hilfm_art_3">
                <hilfsmassnahmen_art><xsl:value-of select="hilfm_art_3"/></hilfsmassnahmen_art>
            </xsl:if>
            <xsl:if test="$hilfm_inst_3">
                <hilfsmassnahmen_institution><xsl:value-of select="hilfm_inst_3"/></hilfsmassnahmen_institution>
            </xsl:if>
            <xsl:if test="$hilfm_einr_3">
                <hilfsmassnahmen_einrichtung><xsl:value-of select="hilfm_einr_3"/></hilfsmassnahmen_einrichtung>
            </xsl:if>
            <xsl:if test="$hilfm_start_3">
                <hilfsmassnahmen_start><xsl:value-of select="hilfm_start_3"/></hilfsmassnahmen_start>
            </xsl:if>
            <xsl:if test="$hilfm_ende_3">
                <hilfsmassnahmen_ende><xsl:value-of select="hilfm_ende_3"/></hilfsmassnahmen_ende>
            </xsl:if>
            <xsl:if test="$hilfm_umf_3">
                <hilfsmassnahmen_umfang><xsl:value-of select="hilfm_umf_3"/></hilfsmassnahmen_umfang>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_3_1">
                <hilfsmassnahmen_ziel_1><xsl:value-of select="hilfm_ziel_3_1"/></hilfsmassnahmen_ziel_1>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_3_1">
                <hilfsmassnahmen_zeit_1><xsl:value-of select="hilfm_zeit_3_1"/></hilfsmassnahmen_zeit_1>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_3_1">
                <hilfsmassnahmen_erreicht_1><xsl:value-of select="hilfm_erreicht_3_1"/></hilfsmassnahmen_erreicht_1>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_3_2">
                <hilfsmassnahmen_ziel_2><xsl:value-of select="hilfm_ziel_3_2"/></hilfsmassnahmen_ziel_2>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_3_2">
                <hilfsmassnahmen_zeit_2><xsl:value-of select="hilfm_zeit_3_2"/></hilfsmassnahmen_zeit_2>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_3_2">
                <hilfsmassnahmen_erreicht_2><xsl:value-of select="hilfm_erreicht_3_2"/></hilfsmassnahmen_erreicht_2>
            </xsl:if>
            
            <xsl:if test="$hilfm_ziel_3_3">
                <hilfsmassnahmen_ziel_3><xsl:value-of select="hilfm_ziel_3_3"/></hilfsmassnahmen_ziel_3>
            </xsl:if>
            <xsl:if test="$hilfm_zeit_3_3">
                <hilfsmassnahmen_zeit_3><xsl:value-of select="hilfm_zeit_3_3"/></hilfsmassnahmen_zeit_3>
            </xsl:if>
            <xsl:if test="$hilfm_erreicht_3_3">
                <hilfsmassnahmen_erreicht_3><xsl:value-of select="hilfm_erreicht_3_3"/></hilfsmassnahmen_erreicht_3>
            </xsl:if>
            
            <xsl:if test="$hilfm_sf_3">
                <hilfsmassnahmen_schlussfolgerungen><xsl:value-of select="hilfm_sf_3"/></hilfsmassnahmen_schlussfolgerungen>
            </xsl:if>
        </rg_hilfsmassnahmen>
        </xsl:if>
    </xsl:template>
    
    
    
    
    <!-- ****** RG_VEREINBARUNGEN ****** -->
    
    <!--
      IF r.vereinb_a IS NOT NULL THEN
	    uuid = generate_uuidgen();
            rgid = create_rg_vereinbarungen_tbl(r.id, uuid);
            UPDATE rg_vereinbarungen_tbl set
	       vereinbarung_text = r.vereinb_a,
	       vereinbarung_mit = 1
            WHERE id = rgid;
      END IF;
    -->
    <xsl:template name="rg_vereinbarungen">
        <!-- Vereinbarung_a -> vereinbarung_mit: "junger Mensch", ID: 1 -->
        <xsl:variable name="vereinb_a" select="./vereinb_a/text()"/>
        <xsl:if test="$vereinb_a">
        <rg_vereinbarungen>
            
            <vereinbarung_text><xsl:value-of select="vereinb_a"/></vereinbarung_text>
            <vereinbarung_mit>1</vereinbarung_mit>
        </rg_vereinbarungen>
        </xsl:if>
        
        <!-- Vereinbarung_b -> vereinbarung_mit: "Eltern/Sorgeberechtigte", ID: 2 -->
        <xsl:variable name="vereinb_b" select="./vereinb_b/text()"/>
        <xsl:if test="$vereinb_b">
        <rg_vereinbarungen>
            
            <vereinbarung_text><xsl:value-of select="vereinb_b"/></vereinbarung_text>
            <vereinbarung_mit>2</vereinbarung_mit>
        </rg_vereinbarungen>
        </xsl:if>
        
        <!-- Vereinbarung_c -> vereinbarung_mit: "Koordinierungsstelle", ID: 3 -->
        <xsl:variable name="vereinb_c" select="./vereinb_c/text()"/>
        <xsl:if test="$vereinb_c">
        <rg_vereinbarungen>
            
            <vereinbarung_text><xsl:value-of select="vereinb_c"/></vereinbarung_text>
            <vereinbarung_mit>3</vereinbarung_mit>
        </rg_vereinbarungen>
        </xsl:if>
        
        <!-- Vereinbarung_d -> vereinbarung_mit: "Lehrerin/Lehrer", ID: 4 -->
        <xsl:variable name="vereinb_d" select="./vereinb_d/text()"/>
        <xsl:if test="$vereinb_d">
        <rg_vereinbarungen>
            
            <vereinbarung_text><xsl:value-of select="vereinb_d"/></vereinbarung_text>
            <vereinbarung_mit>4</vereinbarung_mit>
        </rg_vereinbarungen>
        </xsl:if>
        
        <!-- Vereinbarung_e -> vereinbarung_mit: "Jugendamt", ID: 5 -->
        <xsl:variable name="vereinb_e" select="./vereinb_e/text()"/>
        <xsl:if test="$vereinb_e">
        <rg_vereinbarungen>
            
            <vereinbarung_text><xsl:value-of select="vereinb_e"/></vereinbarung_text>
            <vereinbarung_mit>5</vereinbarung_mit>
        </rg_vereinbarungen>
        </xsl:if>
        
        <!-- Vereinbarung_f -> vereinbarung_mit: "Sonstiges", ID: -2 -->
        <xsl:variable name="vereinb_f" select="./vereinb_f/text()"/>
        <xsl:variable name="vereinb_f_t" select="./vereinb_f_t/text()"/>
        <xsl:if test="$vereinb_f or $vereinb_f_t">
        <rg_vereinbarungen>
            
            <xsl:if test="vereinb_f">
                <vereinbarung_text><xsl:value-of select="vereinb_f"/></vereinbarung_text>
            </xsl:if>
            <xsl:if test="vereinb_f_t">
                <verinbarung_sonstige><xsl:value-of select="vereinb_f_t"/></verinbarung_sonstige>
            </xsl:if>
            <vereinbarung_mit>-2</vereinbarung_mit>
        </rg_vereinbarungen>
        </xsl:if>
    </xsl:template>
    
    
    
    <!-- ****** RG_ELTERNARBEIT ****** -->
    
    <!--
    IF r.elt_ziel_a != -1
         OR r.elt_zerr_a != -1
	 OR r.elt_sf_a IS NOT NULL THEN
	    uuid = generate_uuidgen();
            rgid = create_rg_elternarbeit_tbl(r.id, uuid);
            UPDATE rg_elternarbeit_tbl set
	       elternarbeit_thema = 1,
               elternarbeit_ziel = r.elt_ziel_a,
               elternarbeit_ziel_erreicht = r.elt_zerr_a,
               elternarbeit_schlussfolgerungen = r.elt_sf_a
            WHERE id = rgid;
      END IF;
    -->
    <xsl:template name="rg_elternarbeit">
        <!-- elt_ziel_a -> Thema: "Foerderung von Erziehungskompetenzen", ID: 1 -->
        <xsl:variable name="elt_ziel_a" select="./elt_ziel_a/text()"/>
        <xsl:variable name="elt_zerr_a" select="./elt_zerr_a/text()"/>
        <xsl:variable name="elt_sf_a" select="./elt_sf_a/text()"/>
        <xsl:if test="$elt_ziel_a or $elt_zerr_a or $elt_sf_a">
        <rg_elternarbeit>
            
            <elternarbeit_thema>1</elternarbeit_thema>
            <xsl:if test="$elt_ziel_a">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_a"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_a">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_a"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_a">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_a"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
        
        <!-- elt_ziel_b -> Thema: "Foerderung der Beziehung zwischen Kind und Eltern", ID: 2 -->
        <xsl:variable name="elt_ziel_b" select="./elt_ziel_b/text()"/>
        <xsl:variable name="elt_zerr_b" select="./elt_zerr_b/text()"/>
        <xsl:variable name="elt_sf_b" select="./elt_sf_b/text()"/>
        <xsl:if test="$elt_ziel_b or $elt_zerr_b or $elt_sf_b">
        <rg_elternarbeit>
            
            <xsl:if test="$elt_ziel_b">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_b"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_b">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_b"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_b">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_b"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
        
        <!--  elt_ziel_c -> Thema: "Foerderung von Alltagsbewaeltigungskompetenz", ID: 3 -->
        <xsl:variable name="elt_ziel_c" select="./elt_ziel_c/text()"/>
        <xsl:variable name="elt_zerr_c" select="./elt_zerr_c/text()"/>
        <xsl:variable name="elt_sf_c" select="./elt_sf_c/text()"/>
        <xsl:if test="$elt_ziel_c or $elt_zerr_c or $elt_sf_c">
        <rg_elternarbeit>
            
            <elternarbeit_thema>3</elternarbeit_thema>
            <xsl:if test="$elt_ziel_c">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_c"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_c">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_c"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_c">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_c"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
        
        <!-- elt_ziel_d -> Thema: "Abbau von innerfamiliaerer Gewalt", ID: 4 -->
        <xsl:variable name="elt_ziel_d" select="./elt_ziel_d/text()"/>
        <xsl:variable name="elt_zerr_d" select="./elt_zerr_d/text()"/>
        <xsl:variable name="elt_sf_d" select="./elt_sf_d/text()"/>
        <xsl:if test="$elt_ziel_d or $elt_zerr_d or $elt_sf_d">
        <rg_elternarbeit>
            
            <elternarbeit_thema>4</elternarbeit_thema>
            <xsl:if test="$elt_ziel_d">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_d"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_d">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_d"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_d">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_d"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
        
        <!-- elt_ziel_e -> Thema: "Foerderung des Bezugs der Eltern zur Schule", ID: 5 -->
        <xsl:variable name="elt_ziel_e" select="./elt_ziel_e/text()"/>
        <xsl:variable name="elt_zerr_e" select="./elt_zerr_e/text()"/>
        <xsl:variable name="elt_sf_e" select="./elt_sf_e/text()"/>
        <xsl:if test="$elt_ziel_e or $elt_zerr_e or $elt_sf_e">
        <rg_elternarbeit>
            
            <elternarbeit_thema>5</elternarbeit_thema>
            <xsl:if test="$elt_ziel_e">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_e"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_e">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_e"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_e">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_e"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
        
        <!--  elt_ziel_f -> Thema: "Foerderung der schulischen Unterstuetzungskompetenzen der Eltern", ID: 6 -->
        <xsl:variable name="elt_ziel_f" select="./elt_ziel_f/text()"/>
        <xsl:variable name="elt_zerr_f" select="./elt_zerr_f/text()"/>
        <xsl:variable name="elt_sf_f" select="./elt_sf_f/text()"/>
        <xsl:if test="$elt_ziel_f or $elt_zerr_f or $elt_sf_f">
        <rg_elternarbeit>
            
            <elternarbeit_thema>6</elternarbeit_thema>
            <xsl:if test="$elt_ziel_f">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_f"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_f">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_f"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_f">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_f"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
        
        <!-- elt_ziel_g -> Thema: "Abbau von Verschuldung", ID: 7 -->
        <xsl:variable name="elt_ziel_g" select="./elt_ziel_g/text()"/>
        <xsl:variable name="elt_zerr_g" select="./elt_zerr_g/text()"/>
        <xsl:variable name="elt_sf_g" select="./elt_sf_g/text()"/>
        <xsl:if test="$elt_ziel_g or $elt_zerr_g or $elt_sf_g">
        <rg_elternarbeit>
            
            <elternarbeit_thema>7</elternarbeit_thema>
            <xsl:if test="$elt_ziel_g">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_g"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_g">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_g"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_g">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_g"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
        
        <!-- elt_ziel_h -> Thema: "Vermittlung an weitere Hilfeinstitutionen", ID: 8 -->
        <xsl:variable name="elt_ziel_h" select="./elt_ziel_h/text()"/>
        <xsl:variable name="elt_zerr_h" select="./elt_zerr_h/text()"/>
        <xsl:variable name="elt_sf_h" select="./elt_sf_h/text()"/>
        <xsl:if test="$elt_ziel_h or $elt_zerr_h or $elt_sf_h">
        <rg_elternarbeit>
            
            <elternarbeit_thema>8</elternarbeit_thema>
            <xsl:if test="$elt_ziel_h">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_h"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_h">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_h"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_h">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_h"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
        
        <!-- elt_ziel_i -> Thema: "Sonstiges", ID: -2 -->
        <xsl:variable name="elt_ziel_i" select="./elt_ziel_i/text()"/>
        <xsl:variable name="elt_zerr_i" select="./elt_zerr_i/text()"/>
        <xsl:variable name="elt_sf_i" select="./elt_sf_i/text()"/>
        <xsl:variable name="elt_ziel_i_t" select="./elt_ziel_i_t/text()"/>
        <xsl:if test="$elt_ziel_i or $elt_zerr_i or $elt_sf_i or $elt_ziel_i_t">
        <rg_elternarbeit>
            
            <elternarbeit_thema>-2</elternarbeit_thema>
            <xsl:if test="$elt_ziel_i">
                <elternarbeit_ziel><xsl:value-of select="elt_ziel_i"/></elternarbeit_ziel>
            </xsl:if>
            <xsl:if test="$elt_zerr_i">
                <elternarbeit_ziel_erreicht><xsl:value-of select="elt_zerr_i"/></elternarbeit_ziel_erreicht>
            </xsl:if>
            <xsl:if test="$elt_sf_i">
                <elternarbeit_schlussfolgerungen><xsl:value-of select="elt_sf_i"/></elternarbeit_schlussfolgerungen>
            </xsl:if>
            <xsl:if test="$elt_ziel_i_t">
                <elternarbeit_sonstiges><xsl:value-of select="elt_ziel_i_t"/></elternarbeit_sonstiges>
            </xsl:if>
        </rg_elternarbeit>
        </xsl:if>
    </xsl:template>
    
    
    
    <!-- ****** RG_ANSPRECHPARTNER ****** -->
    
    <!--
    IF r.kd_schule_name_1 IS NOT NULL
        OR r.kd_schule_strasse_1 IS NOT NULL
        OR r.kd_schule_strassenr_1 IS NOT NULL
        OR r.kd_schule_plz_1 IS NOT NULL
        OR r.kd_schule_ort_1 IS NOT NULL
        OR r.kd_schule_vorwahl_1 IS NOT NULL
        OR r.kd_schule_telefonnummer_1 IS NOT NULL
        OR r.kd_schule_email_1 IS NOT NULL THEN
            uuid = generate_uuidgen();
        rgid = create_rg_ansprechpartner_tbl(r.id, uuid);

        UPDATE rg_ansprechpartner_tbl SET
            ansprechpartner_typ = 1,
            ansprechpartner_name = r.kd_schule_name_1,
            ansprechpartner_strasse = r.kd_schule_strasse_1,
            ansprechpartner_strassenr = r.kd_schule_strassenr_1,
            ansprechpartner_plz = r.kd_schule_plz_1,
            ansprechpartner_ort = r.kd_schule_ort_1,
            ansprechpartner_vorwahl = r.kd_schule_vorwahl_1,
            ansprechpartner_telefonnummer = r.kd_schule_telefonnummer_1,
            ansprechpartner_email = r.kd_schule_email_1
        WHERE id = rgid;
      END IF;
    -->
    
    <xsl:template name="rg_ansprechpartner">
        <!-- Schule, ID: 1 -->
        <xsl:variable name="kd_schule_name_1" select="./kd_schule_name_1/text()"/>
        <xsl:variable name="kd_schule_strasse_1" select="./kd_schule_strasse_1/text()"/>
        <xsl:variable name="kd_schule_strassenr_1" select="./kd_schule_strassenr_1/text()"/>
        <xsl:variable name="kd_schule_plz_1" select="./kd_schule_plz_1/text()"/>
        <xsl:variable name="kd_schule_ort_1" select="./kd_schule_ort_1/text()"/>
        <xsl:variable name="kd_schule_vorwahl_1" select="./kd_schule_vorwahl_1/text()"/>
        <xsl:variable name="kd_schule_telefonnummer_1" select="./kd_schule_telefonnummer_1/text()"/>
        <xsl:variable name="kd_schule_email_1" select="./kd_schule_email_1/text()"/>
        <xsl:if test="$kd_schule_name_1 or
                        $kd_schule_strasse_1 or
                        $kd_schule_strassenr_1 or
                        $kd_schule_plz_1 or
                        $kd_schule_ort_1 or
                        $kd_schule_vorwahl_1 or
                        $kd_schule_telefonnummer_1 or
                        $kd_schule_email_1">
        <rg_ansprechpartner>
            
            <ansprechpartner_typ>1</ansprechpartner_typ>
            <xsl:if test="$kd_schule_name_1">
                <ansprechpartner_name><xsl:value-of select="kd_schule_name_1"/></ansprechpartner_name>
            </xsl:if>
            <xsl:if test="$kd_schule_strasse_1">
                <ansprechpartner_strasse><xsl:value-of select="kd_schule_strasse_1"/></ansprechpartner_strasse>
            </xsl:if>
            <xsl:if test="$kd_schule_strassenr_1">
                <ansprechpartner_strassenr><xsl:value-of select="kd_schule_strassenr_1"/></ansprechpartner_strassenr>
            </xsl:if>
            <xsl:if test="$kd_schule_plz_1">
                <ansprechpartner_plz><xsl:value-of select="kd_schule_plz_1"/></ansprechpartner_plz>
            </xsl:if>
            <xsl:if test="$kd_schule_ort_1">
                <ansprechpartner_ort><xsl:value-of select="kd_schule_ort_1"/></ansprechpartner_ort>
            </xsl:if>
            <xsl:if test="$kd_schule_vorwahl_1">
                <ansprechpartner_vorwahl><xsl:value-of select="kd_schule_vorwahl_1"/></ansprechpartner_vorwahl>
            </xsl:if>
            <xsl:if test="$kd_schule_telefonnummer_1">
                <ansprechpartner_telefonnummer><xsl:value-of select="kd_schule_telefonnummer_1"/></ansprechpartner_telefonnummer>
            </xsl:if>
            <xsl:if test="$kd_schule_email_1">
                <ansprechpartner_email><xsl:value-of select="kd_schule_email_1"/></ansprechpartner_email>
            </xsl:if>
        </rg_ansprechpartner>
        </xsl:if>
        
        <!-- Bezugslehrer/Bezugslehrerin, ID2 -->
        <xsl:variable name="bezugs_name_1" select="./bezugs_name_1/text()"/>
        <xsl:variable name="bezugs_vorwahl_1" select="./bezugs_vorwahl_1/text()"/>
        <xsl:variable name="bezugs_telefonnummer_1" select="./bezugs_telefonnummer_1/text()"/>
        <xsl:variable name="bezugs_email_1" select="./bezugs_email_1/text()"/>
        <xsl:if test="$bezugs_name_1 or
                    $bezugs_vorwahl_1 or
                    $bezugs_telefonnummer_1 or
                    $bezugs_email_1">
        <rg_ansprechpartner>
            
            <ansprechpartner_typ>2</ansprechpartner_typ>
            <xsl:if test="$bezugs_name_1">
                <ansprechpartner_name><xsl:value-of select="bezugs_name_1"/>, <xsl:value-of select="bezugs_vorname_1"/></ansprechpartner_name>
            </xsl:if>
            <xsl:if test="$bezugs_vorwahl_1">
                <ansprechpartner_vorwahl><xsl:value-of select="bezugs_vorwahl_1"/></ansprechpartner_vorwahl>
            </xsl:if>
            <xsl:if test="$bezugs_telefonnummer_1">
                <ansprechpartner_telefonnummer><xsl:value-of select="bezugs_telefonnummer_1"/></ansprechpartner_telefonnummer>
            </xsl:if>
            <xsl:if test="$bezugs_email_1">
                <ansprechpartner_email><xsl:value-of select="bezugs_email_1"/></ansprechpartner_email>
            </xsl:if>
        </rg_ansprechpartner>
        </xsl:if>
        
        <!-- Jugendamt, ID:3 -->
        <xsl:variable name="kd_jugendamt_kundennummer_1" select="./kd_jugendamt_kundennummer_1/text()"/>
        <xsl:variable name="kd_jugendamt_ort_1" select="./kd_jugendamt_ort_1/text()"/>
        <xsl:variable name="kd_jugendamt_plz_1" select="./kd_jugendamt_plz_1/text()"/>
        <xsl:variable name="kd_jugendamt_strasse_1" select="./kd_jugendamt_strasse_1/text()"/>
        <xsl:variable name="kd_jugendamt_strassenr_1" select="./kd_jugendamt_strassenr_1/text()"/>
        <xsl:variable name="kd_jugendamt_vorwahl_1" select="./kd_jugendamt_vorwahl_1/text()"/>
        <xsl:variable name="kd_jugendamt_telefonnummer_1" select="./kd_jugendamt_telefonnummer_1/text()"/>
        <xsl:variable name="kd_jugendamt_email_1" select="./kd_jugendamt_email_1/text()"/>
        <xsl:if test="$kd_jugendamt_kundennummer_1 or
                        $kd_jugendamt_ort_1 or
                        $kd_jugendamt_plz_1 or
                        $kd_jugendamt_strasse_1 or
                        $kd_jugendamt_strassenr_1 or
                        $kd_jugendamt_vorwahl_1 or
                        $kd_jugendamt_telefonnummer_1 or
                        $kd_jugendamt_email_1">
        <rg_ansprechpartner>
            
            <ansprechpartner_typ>3</ansprechpartner_typ>
            <xsl:if test="$kd_jugendamt_kundennummer_1">
                <ansprechpartner_kundennummer><xsl:value-of select="kd_jugendamt_kundennummer_1"/></ansprechpartner_kundennummer>
            </xsl:if>
            <xsl:if test="$kd_jugendamt_ort_1">
                <ansprechpartner_ort><xsl:value-of select="kd_jugendamt_ort_1"/></ansprechpartner_ort>
            </xsl:if>
            <xsl:if test="$kd_jugendamt_plz_1">
                <ansprechpartner_plz><xsl:value-of select="kd_jugendamt_plz_1"/></ansprechpartner_plz>
            </xsl:if>
            <xsl:if test="$kd_jugendamt_strasse_1">
                <ansprechpartner_strasse><xsl:value-of select="kd_jugendamt_strasse_1"/></ansprechpartner_strasse>
            </xsl:if>
            <xsl:if test="$kd_jugendamt_strassenr_1">
                <ansprechpartner_strassenr><xsl:value-of select="kd_jugendamt_strassenr_1"/></ansprechpartner_strassenr>
            </xsl:if>
            <xsl:if test="$kd_jugendamt_vorwahl_1">
                <ansprechpartner_vorwahl><xsl:value-of select="kd_jugendamt_vorwahl_1"/></ansprechpartner_vorwahl>
            </xsl:if>
            <xsl:if test="$kd_jugendamt_telefonnummer_1">
                <ansprechpartner_telefonnummer><xsl:value-of select="kd_jugendamt_telefonnummer_1"/></ansprechpartner_telefonnummer>
            </xsl:if>
            <xsl:if test="$kd_jugendamt_email_1">
                <ansprechpartner_email><xsl:value-of select="kd_jugendamt_email_1"/></ansprechpartner_email>
            </xsl:if>
        </rg_ansprechpartner>
        </xsl:if>
        
        <!-- weitere Institutionen 1, ID: 0 -->
        <xsl:variable name="kd_institution_name_1" select="./kd_institution_name_1/text()"/>
        <xsl:variable name="kd_institution_kundennummer_1" select="./kd_institution_kundennummer_1/text()"/>
        <xsl:variable name="kd_institution_ort_1" select="./kd_institution_ort_1/text()"/>
        <xsl:variable name="kd_institution_plz_1" select="./kd_institution_plz_1/text()"/>
        <xsl:variable name="kd_institution_strasse_1" select="./kd_institution_strasse_1/text()"/>
        <xsl:variable name="kd_institution_strassenr_1" select="./kd_institution_strassenr_1/text()"/>
        <xsl:variable name="kd_institution_vorwahl_1" select="./kd_institution_vorwahl_1/text()"/>
        <xsl:variable name="kd_institution_telefonnummer_1" select="./kd_institution_telefonnummer_1/text()"/>
        <xsl:variable name="kd_institution_email_1" select="./kd_institution_email_1/text()"/>
        <xsl:if test="$kd_institution_name_1 or
                        $kd_institution_kundennummer_1 or
                        $kd_institution_ort_1 or
                        $kd_institution_plz_1 or
                        $kd_institution_strasse_1 or
                        $kd_institution_strassenr_1 or
                        $kd_institution_vorwahl_1 or
                        $kd_institution_telefonnummer_1 or
                        $kd_institution_email_1">
        <rg_ansprechpartner>
            
            <ansprechpartner_typ>0</ansprechpartner_typ>
            <xsl:if test="$kd_institution_name_1">
                <ansprechpartner_name><xsl:value-of select="kd_institution_name_1"/></ansprechpartner_name>
            </xsl:if>
            <xsl:if test="$kd_institution_kundennummer_1">
                <ansprechpartner_kundennummer><xsl:value-of select="kd_institution_kundennummer_1"/></ansprechpartner_kundennummer>
            </xsl:if>
            <xsl:if test="$kd_institution_ort_1">
                <ansprechpartner_ort><xsl:value-of select="kd_institution_ort_1"/></ansprechpartner_ort>
            </xsl:if>
            <xsl:if test="$kd_institution_plz_1">
                <ansprechpartner_plz><xsl:value-of select="kd_institution_plz_1"/></ansprechpartner_plz>
            </xsl:if>
            <xsl:if test="$kd_institution_strasse_1">
                <ansprechpartner_strasse><xsl:value-of select="kd_institution_strasse_1"/></ansprechpartner_strasse>
            </xsl:if>
            <xsl:if test="$kd_institution_strassenr_1">
                <ansprechpartner_strassenr><xsl:value-of select="kd_institution_strassenr_1"/></ansprechpartner_strassenr>
            </xsl:if>
            <xsl:if test="$kd_institution_vorwahl_1">
                <ansprechpartner_vorwahl><xsl:value-of select="kd_institution_vorwahl_1"/></ansprechpartner_vorwahl>
            </xsl:if>
            <xsl:if test="$kd_institution_telefonnummer_1">
                <ansprechpartner_telefonnummer><xsl:value-of select="kd_institution_telefonnummer_1"/></ansprechpartner_telefonnummer>
            </xsl:if>
            <xsl:if test="$kd_institution_email_1">
                <ansprechpartner_email><xsl:value-of select="kd_institution_email_1"/></ansprechpartner_email>
            </xsl:if>
        </rg_ansprechpartner>
        </xsl:if>
    </xsl:template>
    
    
    
    <!-- Alte RG-Felder entfernen -->
    <xsl:template match="fehlm_1|fehlm_1|fehltg_1|fehlutg_1|fehlst_1|fehlfust_1|
    fehlm_1|fehlj_1|fehltg_1|fehlutg_1|fehlst_1|fehlfust_1|
    fehlm_2|fehlj_2|fehltg_2|fehlutg_2|fehlst_2|fehlfust_2|
    fehlm_3|fehlj_3|fehltg_3|fehlutg_3|fehlst_3|fehlfust_3|
    fehlm_4|fehlj_4|fehltg_4|fehlutg_4|fehlst_4|fehlfust_4|
    fehlm_5|fehlj_5|fehltg_5|fehlutg_5|fehlst_5|fehlfust_5|
    fehlm_6|fehlj_6|fehltg_6|fehlutg_6|fehlst_6|fehlfust_6|
    fehlm_7|fehlj_7|fehltg_7|fehlutg_7|fehlst_7|fehlfust_7|
    fehlm_8|fehlj_8|fehltg_8|fehlutg_8|fehlst_8|fehlfust_8|
    fehlm_9|fehlj_9|fehltg_9|fehlutg_9|fehlst_9|fehlfust_9|
    fehlm_10|fehlj_10|fehltg_10|fehlutg_10|fehlst_10|fehlfust_10|
    fehlm_11|fehlj_11|fehltg_11|fehlutg_11|fehlst_11|fehlfust_11|
    fehlm_12|fehlj_12|fehltg_12|fehlutg_12|fehlst_12|fehlfust_12|
    fehlm_13|fehlj_13|fehltg_13|fehlutg_13|fehlst_13|fehlfust_13|
    fehlm_14|fehlj_14|fehltg_14|fehlutg_14|fehlst_14|fehlfust_14|
    fehlm_15|fehlj_15|fehltg_15|fehlutg_15|fehlst_15|fehlfust_15|
    fehlm_16|fehlj_16|fehltg_16|fehlutg_16|fehlst_16|fehlfust_16|
    fehlm_17|fehlj_17|fehltg_17|fehlutg_17|fehlst_17|fehlfust_17|
    fehlm_18|fehlj_18|fehltg_18|fehlutg_18|fehlst_18|fehlfust_18|
    
    probleme_a|probleme_b|probleme_c|probleme_d|probleme_e|probleme_f|probleme_f|probleme_f_t|
    
    kd_bezug_name_1|kd_bezug_vorname_1|kd_bezug_funktion_1|kd_bezug_strasse_1|kd_bezug_strassenr_1|kd_bezug_ort_1|kd_bezug_plz_1|kd_bezug_1_vorwahl|kd_bezug_1_telefon|kd_bezug_email_1|
    kd_bezug_name_2|kd_bezug_vorname_2|kd_bezug_funktion_2|kd_bezug_strasse_2|kd_bezug_strassenr_2|kd_bezug_ort_2|kd_bezug_plz_2|kd_bezug_2_vorwahl|kd_bezug_2_telefon|kd_bezug_email_2|
    kd_bezug_name_3|kd_bezug_vorname_3|kd_bezug_funktion_3|kd_bezug_strasse_3|kd_bezug_strassenr_3|kd_bezug_ort_3|kd_bezug_plz_3|kd_bezug_3_vorwahl|kd_bezug_3_telefon|kd_bezug_email_3|
    
    hilfm_1|hilfm_2|hilfm_3|
    hilfm_art_1|hilfm_inst_1|hilfm_einr_1|hilfm_start_1|hilfm_ende_1|hilfm_umf_1|hilfm_ziel_1_1|hilfm_zeit_1_1|hilfm_erreicht_1_1|hilfm_ziel_1_2|hilfm_zeit_1_2|hilfm_erreicht_1_2|hilfm_ziel_1_3|hilfm_zeit_1_3|hilfm_erreicht_1_3|hilfm_sf_1|
    hilfm_art_2|hilfm_inst_2|hilfm_einr_2|hilfm_start_2|hilfm_ende_2|hilfm_umf_2|hilfm_ziel_2_1|hilfm_zeit_2_1|hilfm_erreicht_2_1|hilfm_ziel_2_2|hilfm_zeit_2_2|hilfm_erreicht_2_2|hilfm_ziel_2_3|hilfm_zeit_2_3|hilfm_erreicht_2_3|hilfm_sf_2|
    hilfm_art_3|hilfm_inst_3|hilfm_einr_3|hilfm_start_3|hilfm_ende_3|hilfm_umf_3|hilfm_ziel_3_1|hilfm_zeit_3_1|hilfm_erreicht_3_1|hilfm_ziel_3_2|hilfm_zeit_3_2|hilfm_erreicht_3_2|hilfm_ziel_3_3|hilfm_zeit_3_3|hilfm_erreicht_3_3|hilfm_sf_3|
    
    
    vereinb_a|vereinb_b|vereinb_c|vereinb_d|vereinb_e|vereinb_f|vereinb_f_t|
    
    elt_ziel_a|elt_zerr_a|elt_sf_a|
    elt_ziel_b|elt_zerr_b|elt_sf_b|
    elt_ziel_c|elt_zerr_c|elt_sf_c|
    elt_ziel_d|elt_zerr_d|elt_sf_d|
    elt_ziel_e|elt_zerr_e|elt_sf_e|
    elt_ziel_f|elt_zerr_f|elt_sf_f|
    elt_ziel_g|elt_zerr_g|elt_sf_g|
    elt_ziel_h|elt_zerr_h|elt_sf_h|
    elt_ziel_i|elt_zerr_i|elt_sf_i|elt_ziel_i_t|
    
    
    kd_schule_name_1|kd_schule_strasse_1|kd_schule_strassenr_1|kd_schule_plz_1|kd_schule_ort_1|kd_schule_vorwahl_1|kd_schule_telefonnummer_1|kd_schule_email_1|
    bezugs_name_1|bezugs_vorname_1|bezugs_vorwahl_1|bezugs_telefonnummer_1|bezugs_email_1|
    kd_jugendamt_kundennummer_1|kd_jugendamt_ort_1|kd_jugendamt_plz_1|kd_jugendamt_strasse_1|kd_jugendamt_strassenr_1|kd_jugendamt_vorwahl_1|kd_jugendamt_telefonnummer_1|kd_jugendamt_email_1|
    kd_institution_name_1|kd_institution_kundennummer_1|kd_institution_ort_1|kd_institution_plz_1|kd_institution_strasse_1|kd_institution_strassenr_1|kd_institution_vorwahl_1|kd_institution_telefonnummer_1|kd_institution_email_1
    
    ">
        <!--<ENTFERNTES_ELEMENT><xsl:value-of select="."/></ENTFERNTES_ELEMENT>-->
        <!-- mache nichts -->
    </xsl:template>
    
    
    <!--
        Der Offline-Client hatte in Nationalitaet noch eine vollstaendige (Laender)
        Liste. Das ist leider falsch, denn die formedtree.xml des Onlineclients
        nur 4 Optionen vorsieht:
            - keine Angabe: -1
            - unbekannt: -3
            - andere: 2
            - deutsch: 1
     -->
    <xsl:template match="nat_staat">
    <!--
        <xsl:variable name="nat_staat" select="./nat_staat/text()"/>
        <xsl:value-of select="$nat_staat"/> - 
        <xsl:value-of select="."/> - 
    -->
        <nat_staat>
        <xsl:choose>
            <xsl:when test=". = '29'">
                1
            </xsl:when>
            <xsl:when test=". &gt; '1'">
                2
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="."/>
            </xsl:otherwise>
        </xsl:choose>
        </nat_staat>
    </xsl:template>
    
    
    
    <!--<xsl:template match="@*|node()">-->
    <xsl:template match="node()">
        <xsl:copy>
          <xsl:apply-templates select="node()"/>
          <!--<xsl:apply-templates select="@*|node()"/>-->
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="tagebuch">
        <xsl:copy>
          <xsl:apply-templates select="node()"/>
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>