# -*- coding: utf-8 -*-
#
# Copyright (c) 2007, 2008, 2011 by Intevation GmbH
#
# FormEd is free software under the terms of the
# GNU General Public License Version 3. See file
# LICENSE coming with the source of FormEd for details.
#
# Authors:
# Sascha L. Teichmann <teichmann@intevation.de>
# Björn Ricks <bjoern.ricks@intevation.de>
# Bernhard Herzog <bernhard.herzog@intevation.de>


from formed.meta.io.document import saveDocument
from formed.meta.rulegen import RuleGenerator


class GenerateRequiredRules(object):

    def __init__(self, document):
        self.document = document

    @staticmethod
    def getDescription():
        return "Export a formed tree wich genered required rules"

    def doExport(self, path):
        generator = RuleGenerator(self.document)
        generator.generateRequiredRules()
        generator.generateDateSequenceRules()
        saveDocument(self.document, path)


# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 enc=utf-8 :

